# octo4a - Run OctoPrint on Android
[![Donate](https://img.shields.io/badge/Donate-PayPal-green.svg)](https://paypal.me/feelfreelinux)

![A banner visually expaining how the app works](.github/readme-banner.png)

You don't have a Raspberry Pi, but you want to control your 3D printer remotely? Use your phone as an octoprint host! With the Octo4a app you can install Octoprint on your android phone in minutes, without any special Linux knowledge.

## Download

Newest `.apk` files are available in the [releases page](https://github.com/feelfreelinux/octo4a/releases).

## Usage

1. Enable installing 3rd-party .apk in your phone's settings.
2. Install the apk file downloaded from the releases page.
3. Open the app.
4. Click "Install OctoPrint" to download and install OctoPrint
5. Allow the app to access the storage, if asked for permission.
6. Wait for the installation to complete. This may take a long time, depending on your internet speed.
7. Click "Continue" when the installation finishes.
8. Optionally start the camera server to enable watching your printer from octoprint. 
9. Navigate to the IP address shown at the top in your browser to access and set-up OctoPrint.
10. Happy printing!

## Features

- Quick and easy octoprint installation.
- Printer connection via USB OTG. Thanks to our custom USB driver you can use octoprint even on phones without root access.
- Built-in camera support. You can use the built-in camera in your phone to see the progress of your 3D prints, instead of buing a separate module. The app also supports  octolapse.
- SSH support. You can easily log-in via ssh and customize your octoprint installation. 

## Wiki

FAQ and many different topics are described in the [project's wiki](https://github.com/feelfreelinux/octo4a/wiki)

## Contributing

Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

## Donating

If you like this project, feel free to [donate on PayPal](https://paypal.me/feelfreelinux). This project heavily relies on great work done on [OctoPrint](https://www.patreon.com/foosel) so please consider donating to them if you like this app. Thank you for your support :)

## Disclaimer

```
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
```

TL;DR: If your house burns down because this app malfunctioned, you cannot sue me.


## License

This project is licensed under the AGPL license.
